<template>
  <div class="app">
    <section   class="sect-header">
      <div v-for="profile in userprofile" :key="profile.id">
          <ul>
            <!-- <li v-if="profile.role === `${ showbyrole }`">
                <img :src="profile.avatar" class="size-avatar">
            </li> -->
            <li>
                <label class="lab-width" >
                    Nombre: {{changeName(profile.name )}}
                </label>
                <input type="text" v-model="name" placeholder="Escribre tu nombre" >
            </li>
            <li>
                <label class="lab-width" >
                    Apellido:{{changeSurname(profile.surname )}}
                </label>
                <input type="text" v-model="surname" placeholder="Escribe tu apellido" >
            </li>
            <li>
                <label class="lab-width" >
                    Email: {{changeEmail(profile.email)}}
                </label>
                <input type="email" v-model="email" placeholder="Dinos tu email">
            </li>
            <li>
                <label class="lab-width" >
                    Fecha de nacimiento: {{$moment(profile.age  , 'YYYY-MM-DD').format('DD/MM/YYYY')}}
                </label>
                <input type="date" v-model="age" :placeholder="profile.age" >
            </li>
            <li>
              <i>Tienes {{$moment().diff(profile.age , 'years')}} años </i>
            </li>
            <li>
                <label class="lab-width" >
                    Role:
                </label>
                <input :placeholder="profile.role" class="cursor-no-drop "  readonly/>
            </li>
          </ul>
          <ul v-if="profile.role === `normal`">
            <li>
                <label class="lab-width" >
                    Pack Contratado 
                </label> 
                <input :placeholder="profile.packtype" class="cursor-no-drop "  readonly/>
            </li>
            <li>
                <label class="lab-width" >
                    Compañía aseguradora
                </label>
                <input :placeholder="profile.insurance_company" class="cursor-no-drop "  readonly/>
            </li>
            <li>
                <label class="lab-width" >
                    Número de poliza
                </label>
                <input :placeholder="profile.policy_number" class="cursor-no-drop "  readonly/>
            </li>
          </ul>

        
          <ul v-if="profile.role === `${ showbyrole }`">
            <li>
                Años de experiencia: {{$moment().diff(profile.years_experience , 'years')}} 
            </li>
            <li >
                <label class="lab-width" >
                    Rating:
                </label>
                <input :placeholder="profile.rating" class="cursor-no-drop " readonly/>
            </li>
          </ul>

          <ul v-if="profile.role === `${ showbyrole }`">
            <li>
                <label class="lab-width" >
                    Tiempo de disponibilidad:
                </label>
                <input :placeholder="profile.available"  class="cursor-no-drop "  readonly/>
            </li>
            <!-- si la disponibilidad es Alta tienes opcion de ver esta opción -->
            <li v-if="profile.available == 'Alta'">
                <div> 
                    <label class="lab-width" >
                        URL Video consulta:
                    </label>
                    <!-- {{changeurl_video_chat(profile.url_video)}} -->
                    <input type="text" :placeholder="profile.url_video" v-model="url_video">
                </div>
                <div>
                    <!-- <p class="lab-width-url">Desactivar video llamada: </p> -->
                    <label class="lab-width" >
                      Desactivar video llamada: 
                        <div><div></div></div>
                    </label>
                    <input type="checkbox" @click="deleteurl(desactiveURL)" v-model="desactiveURL" />

                </div>
            </li>
          </ul>

          <ul v-if="profile.role === `${ showbyrole }`"> 
            <li>
                <label class="lab-width" >
                    Grupo de especialidad: 
                </label>
                <input :placeholder="profile.specialty_group" class="cursor-no-drop"  readonly/>  
            </li>
            <li> 
                <label class="lab-width" >
                  Descripción Grupo especialidad
                </label>
                {{changeddescription_specialtygroup(profile.description_specialtygroup)}}
                <textarea v-model="description_specialtygroup" placeholder="Escribe una breve descripción"  cols="60" rows="8"></textarea>  
            </li>
          </ul>

          <ul  v-if="profile.role === `${ showbyrole }`"> 
            <li>
                <label class="lab-width" >
                    Especialidad: 
                </label>
                <input :placeholder="profile.specialty " class="cursor-no-drop "  readonly/>
            </li>
            <li > 
                <label class="lab-width" >
                  Descripción Especialidad
                </label>
                 {{changedescription_specialty(profile.description_specialty)}}
                <textarea v-model="description_specialty"  placeholder="Escribe una breve descripción" cols="60" rows="8"></textarea>  
            </li>
          </ul>
          <div>
            <button v-on:click="updateUser()"  class="button-prime but-item">Actualizar datos</button>
          </div>
      </div>
    </section>
    
    <!-- imagen de la cabecera -->
    <section class="sect-img">  
          <img v-if="userprofile[0].role !== `${ showbyrole }`"
               src="../assets/images/header-profile.png" 
               class="head_img-size " >

          <div v-else 
               class="container-foto">
                <img :src="userprofile[0].avatar" class="size-avatar">
          </div>
    </section>  
      
  </div>
</template>

<script>
import VueMoment from 'vue-moment'
import moment from 'moment-timezone'
import Swal from 'sweetalert2';

export default {
   name:'UserProfileCustom',

   //inicio props
   props:{
       // recibimos datos perfil
       userprofile: Array,

   },
   //FIN props
   // inicio DATA
  data(){
    return{
        // pasar datos a la vista para modificar
        name:'',
        surname:'',
        email:'',
        age:'',
        

        //mostrar datos solo si el usuario es el doctor
        showbyrole: 'doctor',
        description_specialty:'', 
        description_specialtygroup:'',
        url_video:'',
        desactiveURL: false,


        //activar desactivar modal
        desactiveUrlinModal:''
    }

  },
  // FIN data
  //inicio methods
  methods: {
      // pasamos los datos al placeholder
      // así pueden ser modificados sin que desaparezcan
      changeName(data){
          if(this.name == 0){
            this.name = data
            return
          }
      },
    changeSurname(data){
          if(this.surname == 0){
            this.surname = data
            return
          }
      },
    changeEmail(data){
          if(this.email == 0){
            this.email = data
            return
          }
      },
    changedescription_specialty(data){
          if(this.description_specialty == 0){
            this.description_specialty = data
            return
          }
    },
    changeddescription_specialtygroup(data){
          if(this.description_specialtygroup == 0){
            this.description_specialtygroup = data
            return
          }
    },
    changeurl_video_chat(data){
          if(this.url_video == 0){
            this.url_video = data
            return
          }
    },

// modal para que se muestra cuando pulsas en el toogle para desactivar la url de videollamada
    deleteurl(data){
          if(this.desactiveURL == false){
              
          Swal.fire({
            title: 'Quieres desactivar video llamada?',
            text: "Está seguro de que quiere desactivar la videollamada actual",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#3085d6',
            cancelButtonColor: '#d33',
            confirmButtonText: 'Si, quiero desactivarla!',
            cancelButtonText: 'Cancelar'

            }).then((result) => {
            if (result.value) {
                Swal.fire(
                'Desativada temporalmente!',
                'Pulse en boton Actualizar perfil para desactivarla definitivamente',
                'success',                
                )
             this.url_video = ''

            }
            })
 
            // this.url_video = ''
            return
          }
    },


    updateUser() {
        // if(this.name == ''){
        //     this.name = 'cuenco'
        // }
        // console.log(product)  
        this.$emit('updateEmit', this.name, this.surname, this.description_specialty, this.description_specialtygroup, this.url_video);
    }
  }
  // FIN METHODS
}
</script>





<style scoped>
.app{
  display: flex;
}

.sect-header {
    flex: 1;
    margin-bottom: 2rem;
    padding: 0 5rem;
}
.sect-img {
    flex: 2;
    text-align: center;
    align-self:initial;
    /* align-items: center;
    justify-items: center; */
}

/* label */
.lab-width {
  display: inline-block;
  width: var(--spacer-6);
}
.lab-width-url {
  display: inline-block;
  width: var(--spacer-1);
}

.but-item{
  margin-left: 6.5rem;
}



/* images */
.size-avatar {
  width: 300px;

}
.head_img-size {
  max-width: 425px;
  min-width: 40%;
}

.container-foto {
    background-image: url('../assets/images/backgrounds/green-organic.png');
    background-repeat: no-repeat;
    background-size: 450px 450px;
    background-position: center;
    min-width: 450px;
    min-height: 450px;

    /* background-color: aquamarine; */
    flex: 1;
    display: flex;
    flex-direction: column-reverse;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;

    text-align: center;
}
</style>